Package com.orchestranetworks.ui

# Class UIFormLabelSpec

java.lang.Object
com.orchestranetworks.ui.UIFormLabelSpec

public final class UIFormLabelSpec extends Object
Specifies a label to display and optional additional documentation, accessible in a pop-up.

In the context of a UI bean, for standard documentation extracted from the data model, it is recommended to use the method `UIResponseContext.addUILabel(Path)` instead.

See Also:
  - `UIComponentWriter.addUILabel(UIFormLabelSpec)`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `UIFormLabelSpec.DocumentationPane`
  Describes the content of a documentation pane.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UIFormLabelSpec(UserMessage aLabelMessage)`
  Creates a simple label with a `UserMessage`.
  `UIFormLabelSpec(UIFormLabelSpec.DocumentationPane aDocumentationPane, UserMessage aLabelMessage)`
  Creates a simple label with a `UserMessage` and a documentation pane that is displayed in a pop-up.
  `UIFormLabelSpec(UIFormLabelSpec.DocumentationPane aDocumentationPane, String aLabelText)`
  Creates a simple label and documentation pane displayed in a pop-up.
  `UIFormLabelSpec(String aLabelText)`
  Creates a simple label.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setMandatoryIndicator()`
  Sets the mandatory field indicator on this label.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UIFormLabelSpec

    public UIFormLabelSpec(String aLabelText)
    Creates a simple label. This method is equivalent to:

    > `UIFormLabelSpec(null, aLabelText)`

  - ### UIFormLabelSpec

    public UIFormLabelSpec(UIFormLabelSpec.DocumentationPane aDocumentationPane, String aLabelText)
    Creates a simple label and documentation pane displayed in a pop-up.

  - ### UIFormLabelSpec

    public UIFormLabelSpec(UserMessage aLabelMessage)
    Creates a simple label with a `UserMessage`. This method is equivalent to:

    > `UIFormLabelSpec(null, aLabelMessage)`

  - ### UIFormLabelSpec

    public UIFormLabelSpec(UIFormLabelSpec.DocumentationPane aDocumentationPane, UserMessage aLabelMessage)
    Creates a simple label with a `UserMessage` and a documentation pane that is displayed in a pop-up.

- ## Method Details

  - ### setMandatoryIndicator

    public void setMandatoryIndicator()
    Sets the mandatory field indicator on this label.
    Since:
      5.2.3